org.apache.cassandra.cql3

## Class Relation

- java.lang.Object
- - org.apache.cassandra.cql3.Relation

- Direct Known Subclasses:
    MultiColumnRelation, SingleColumnRelation

      public abstract class Relation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Operator` | `relationType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Relation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `isMultiColumn()`
    `Operator` | `operator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### relationType

          protected Operator relationType

  - ### Constructor Detail

    - #### Relation

          public Relation()

  - ### Method Detail

    - #### operator

          public Operator operator()

    - #### isMultiColumn

          public abstract boolean isMultiColumn()

Copyright © 2014 The Apache Software Foundation